sidebarNodes={"extras":[{"id":"api-reference","title":"API Reference","group":"","headers":[{"id":"Modules","anchor":"modules"},{"id":"Mix Tasks","anchor":"mix-tasks"}]},{"id":"getting-started","title":"Getting started","group":"","headers":[{"id":"Initialize an existing database","anchor":"initialize-an-existing-database"},{"id":"Reset an existing database","anchor":"reset-an-existing-database"},{"id":"Event data and metadata data type","anchor":"event-data-and-metadata-data-type"}]},{"id":"usage","title":"Using the EventStore","group":"","headers":[{"id":"Writing to a stream","anchor":"writing-to-a-stream"},{"id":"Reading from a stream","anchor":"reading-from-a-stream"},{"id":"Reading from all streams","anchor":"reading-from-all-streams"},{"id":"Stream from all streams","anchor":"stream-from-all-streams"},{"id":"Linking events between streams","anchor":"linking-events-between-streams"}]},{"id":"subscriptions","title":"Subscriptions","group":"","headers":[{"id":"Event pub/sub","anchor":"event-pub-sub"},{"id":"Transient subscriptions","anchor":"transient-subscriptions"},{"id":"Persistent subscriptions","anchor":"persistent-subscriptions"}]},{"id":"cluster","title":"Running on a cluster of nodes","group":"","headers":[{"id":"Event publication","anchor":"event-publication"},{"id":"Subscriptions","anchor":"subscriptions"},{"id":"Running on a cluster","anchor":"running-on-a-cluster"},{"id":"Automatic cluster formation","anchor":"automatic-cluster-formation"},{"id":"Static cluster topology and formation","anchor":"static-cluster-topology-and-formation"},{"id":"Usage","anchor":"usage"}]},{"id":"event-serialization","title":"Event serialization","group":"","headers":[{"id":"JSON serialization using Jason","anchor":"json-serialization-using-jason"},{"id":"Example JSON serializer using Poison","anchor":"example-json-serializer-using-poison"}]},{"id":"upgrades","title":"Upgrading an EventStore","group":"","headers":[]},{"id":"changelog","title":"Changelog","group":"","headers":[{"id":"v0.16.0","anchor":"v0-16-0"},{"id":"0.15.1","anchor":"0-15-1"},{"id":"0.15.0","anchor":"0-15-0"},{"id":"0.14.0","anchor":"0-14-0"},{"id":"v0.13.2","anchor":"v0-13-2"},{"id":"v0.13.1","anchor":"v0-13-1"},{"id":"v0.13.0","anchor":"v0-13-0"},{"id":"v0.12.1","anchor":"v0-12-1"},{"id":"v0.12.0","anchor":"v0-12-0"},{"id":"v0.11.0","anchor":"v0-11-0"},{"id":"v0.10.1","anchor":"v0-10-1"},{"id":"v0.10.0","anchor":"v0-10-0"},{"id":"v0.9.0","anchor":"v0-9-0"},{"id":"v0.8.1","anchor":"v0-8-1"},{"id":"v0.8.0","anchor":"v0-8-0"},{"id":"v0.7.4","anchor":"v0-7-4"},{"id":"v0.7.3","anchor":"v0-7-3"},{"id":"v0.7.2","anchor":"v0-7-2"},{"id":"v0.7.1","anchor":"v0-7-1"},{"id":"v0.7.0","anchor":"v0-7-0"},{"id":"v0.6.2","anchor":"v0-6-2"},{"id":"v0.6.1","anchor":"v0-6-1"},{"id":"v0.6.0","anchor":"v0-6-0"},{"id":"v0.5.2","anchor":"v0-5-2"},{"id":"v0.5.0","anchor":"v0-5-0"}]}],"exceptions":[],"modules":[{"id":"EventStore","title":"EventStore","group":"","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"expected_version/0","anchor":"t:expected_version/0"},{"id":"start_from/0","anchor":"t:start_from/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"ack/2","anchor":"ack/2"},{"id":"append_to_stream/4","anchor":"append_to_stream/4"},{"id":"configuration/0","anchor":"configuration/0"},{"id":"delete_all_streams_subscription/1","anchor":"delete_all_streams_subscription/1"},{"id":"delete_snapshot/1","anchor":"delete_snapshot/1"},{"id":"delete_subscription/2","anchor":"delete_subscription/2"},{"id":"link_to_stream/4","anchor":"link_to_stream/4"},{"id":"read_all_streams_forward/3","anchor":"read_all_streams_forward/3"},{"id":"read_snapshot/1","anchor":"read_snapshot/1"},{"id":"read_stream_forward/4","anchor":"read_stream_forward/4"},{"id":"record_snapshot/1","anchor":"record_snapshot/1"},{"id":"stream_all_forward/3","anchor":"stream_all_forward/3"},{"id":"stream_forward/4","anchor":"stream_forward/4"},{"id":"subscribe/2","anchor":"subscribe/2"},{"id":"subscribe_to_all_streams/3","anchor":"subscribe_to_all_streams/3"},{"id":"subscribe_to_stream/4","anchor":"subscribe_to_stream/4"},{"id":"unsubscribe_from_all_streams/1","anchor":"unsubscribe_from_all_streams/1"},{"id":"unsubscribe_from_stream/2","anchor":"unsubscribe_from_stream/2"}]}]},{"id":"EventStore.Config","title":"EventStore.Config","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"column_data_type/0","anchor":"column_data_type/0"},{"id":"default_postgrex_opts/1","anchor":"default_postgrex_opts/1"},{"id":"get/0","anchor":"get/0"},{"id":"get_config_integer/2","anchor":"get_config_integer/2"},{"id":"get_config_value/2","anchor":"get_config_value/2"},{"id":"get_pool/0","anchor":"get_pool/0"},{"id":"parse/1","anchor":"parse/1"},{"id":"parse_url/1","anchor":"parse_url/1"},{"id":"parsed/0","anchor":"parsed/0"},{"id":"postgrex_opts/1","anchor":"postgrex_opts/1"},{"id":"serializer/0","anchor":"serializer/0"},{"id":"sync_connect_postgrex_opts/1","anchor":"sync_connect_postgrex_opts/1"}]}]},{"id":"EventStore.EventData","title":"EventStore.EventData","group":"","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"},{"id":"uuid/0","anchor":"t:uuid/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"fetch/2","anchor":"fetch/2"},{"id":"get_and_update/3","anchor":"get_and_update/3"}]}]},{"id":"EventStore.JsonSerializer","title":"EventStore.JsonSerializer","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"deserialize/2","anchor":"deserialize/2"},{"id":"serialize/1","anchor":"serialize/1"}]}]},{"id":"EventStore.JsonbSerializer","title":"EventStore.JsonbSerializer","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"deserialize/2","anchor":"deserialize/2"},{"id":"serialize/1","anchor":"serialize/1"},{"id":"to_struct/2","anchor":"to_struct/2"}]}]},{"id":"EventStore.RecordedEvent","title":"EventStore.RecordedEvent","group":"","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"},{"id":"uuid/0","anchor":"t:uuid/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"deserialize/2","anchor":"deserialize/2"},{"id":"fetch/2","anchor":"fetch/2"},{"id":"get_and_update/3","anchor":"get_and_update/3"}]}]},{"id":"EventStore.Registration","title":"EventStore.Registration","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"broadcast/2","anchor":"broadcast/2"},{"id":"child_spec/0","anchor":"child_spec/0"},{"id":"registry_provider/0","anchor":"registry_provider/0"},{"id":"subscribe/2","anchor":"subscribe/2"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"broadcast/2","anchor":"c:broadcast/2"},{"id":"child_spec/0","anchor":"c:child_spec/0"},{"id":"subscribe/2","anchor":"c:subscribe/2"}]}]},{"id":"EventStore.Registration.DistributedRegistry","title":"EventStore.Registration.DistributedRegistry","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"broadcast/2","anchor":"broadcast/2"},{"id":"child_spec/0","anchor":"child_spec/0"},{"id":"subscribe/2","anchor":"subscribe/2"}]}]},{"id":"EventStore.Registration.LocalRegistry","title":"EventStore.Registration.LocalRegistry","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"broadcast/2","anchor":"broadcast/2"},{"id":"child_spec/0","anchor":"child_spec/0"},{"id":"subscribe/2","anchor":"subscribe/2"}]}]},{"id":"EventStore.Serializer","title":"EventStore.Serializer","group":"","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"config/0","anchor":"t:config/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"deserialize/2","anchor":"c:deserialize/2"},{"id":"serialize/1","anchor":"c:serialize/1"}]}]},{"id":"EventStore.Snapshots.SnapshotData","title":"EventStore.Snapshots.SnapshotData","group":"","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"deserialize/2","anchor":"deserialize/2"},{"id":"serialize/2","anchor":"serialize/2"}]}]},{"id":"EventStore.Storage.Reader.EventAdapter","title":"EventStore.Storage.Reader.EventAdapter","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"to_event_data/1","anchor":"to_event_data/1"},{"id":"to_event_data_from_row/1","anchor":"to_event_data_from_row/1"}]}]},{"id":"EventStore.Tasks.Create","title":"EventStore.Tasks.Create","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"exec/2","anchor":"exec/2"}]}]},{"id":"EventStore.Tasks.Drop","title":"EventStore.Tasks.Drop","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"exec/2","anchor":"exec/2"}]}]},{"id":"EventStore.Tasks.Init","title":"EventStore.Tasks.Init","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"exec/2","anchor":"exec/2"}]}]},{"id":"EventStore.Tasks.Migrate","title":"EventStore.Tasks.Migrate","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"exec/2","anchor":"exec/2"}]}]},{"id":"EventStore.TermSerializer","title":"EventStore.TermSerializer","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"deserialize/2","anchor":"deserialize/2"},{"id":"serialize/1","anchor":"serialize/1"}]}]}],"tasks":[{"id":"Mix.Tasks.EventStore.Create","title":"event_store.create","group":""},{"id":"Mix.Tasks.EventStore.Drop","title":"event_store.drop","group":""},{"id":"Mix.Tasks.EventStore.Init","title":"event_store.init","group":""},{"id":"Mix.Tasks.EventStore.Migrate","title":"event_store.migrate","group":""}]}